Package com.avaya.core

## Enum PaymentStatus

- java.lang.Object
- - java.lang.Enum<PaymentStatus>
  - - com.avaya.core.PaymentStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PaymentStatus>`

      public enum PaymentStatus
      extends java.lang.Enum<PaymentStatus>

  Stripe payment status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` | Payment failed for some reason.
    `SUCCESS` | Payment processed successfully.
    `UNKNOWN` | Payment status unknown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PaymentStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PaymentStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final PaymentStatus UNKNOWN

      Payment status unknown.

    - #### SUCCESS

          public static final PaymentStatus SUCCESS

      Payment processed successfully.

    - #### ERROR

          public static final PaymentStatus ERROR

      Payment failed for some reason.

  - ### Method Detail

    - #### values

          public static PaymentStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PaymentStatus c : PaymentStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PaymentStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null